import App from './App.vue'  

// import ElementUI from 'element-ui';
// import "hi-ui/lib/hi-ui.css";
// import 'font-awesome/css/font-awesome.css'
  Vue.use(ELEMENT, {
    size: 'mini'
  }) 
import Message from './components/vue-m-message/index.js'
Vue.use(Message) // will mount `Vue.prototype.$message`
import ZhcBirtCmps from 'zhc-birt-cmps'
Vue.use(ZhcBirtCmps)
import hiSetting from './hiSetting'
import Cookies from 'js-cookie'
import './assets/icon/iconfont.css';
import { setToken } from "./utils/auth.js";
// Vue.use(ElementUI)
setToken(Cookies.get('EAP-Token') || '')

import axios from "./funclib/AxiosUtil";
Vue.prototype.$HI = {
  projectName: hiSetting.projectName,
  serverUrl: hiSetting.serverUrl,
  request: axios,
  queryOperate: 'like',
  pageSize: 20,
  saveUrl: hiSetting.saveUrl,
  queryUrl: hiSetting.queryUrl,
  datasetUrl: hiSetting.datasetUrl,
  upload: hiSetting.upload,
  download: hiSetting.download,
  review: hiSetting.review,
  getFlowInfo: hiSetting.getFlowInfo,
  getApprovalInfo: hiSetting.getApprovalInfo,
  processFlow: hiSetting.processFlow,
  queryTask: hiSetting.queryTask,
  withdrawtask: hiSetting.withdrawtask,
  taskDiagram: hiSetting.taskDiagram,
  openOrdernumber: hiSetting.openOrdernumber,
  birtModel: hiSetting.birtModel
};
new Vue({
  render: h => h(App),
}).$mount('#app')
